Page MenuHomeFreeBSD

lang/rust: Update to 1.63.0
ClosedPublic

Authored by mikael on Aug 17 2022, 6:17 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jul 4, 8:28 AM
Unknown Object (File)
Tue, Jul 2, 7:28 AM
Unknown Object (File)
Jun 17 2024, 10:18 PM
Unknown Object (File)
Jun 17 2024, 1:12 PM
Unknown Object (File)
Jun 3 2024, 9:39 PM
Unknown Object (File)
Jun 3 2024, 9:39 PM
Unknown Object (File)
Jun 3 2024, 9:36 PM
Unknown Object (File)
May 31 2024, 5:58 PM
Subscribers
None

Details

Summary
Test Plan

These ports are broken (packed_simd has to be updated), I'll put the patch in bugzilla
mail/thunderbird
www/firefox-esr
games/veloren
textproc/ripgrep

14amd64: ok
12aarch64: ok
13powerpc64le: ok

Add jbeich@ and gecko@ since the patch in the PR touches their port (games/veloren, www/firefox-esr, mail/thunderbird)

exp-run: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=265915

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

mikael created this revision.

I'm not sure if src/bootstrap/lib.rs is correctly updated...

mikael added reviewers: jbeich, gecko.

Please, merge (squash) veloren fix with the update instead of landing separately. lazy::OnceCell -> cell::OnceCell rename requires a conditional if supporting both 1.62 and 1.63 is desired. Otherwise, applying the patch breaks rust < 1.63 until lang/rust is updated.

error[E0433]: failed to resolve: could not find `OnceCell` in `cell`
   --> voxygen/src/scene/terrain.rs:558:32
    |
558 |         let init = core::cell::OnceCell::new();
    |                                ^^^^^^^^ not found in `core::cell`
    |

What's different from the patch in PR 265915 ? https://bz-attachments.freebsd.org/attachment.cgi?id=235976
phabricator is incredibly hard to use...

What's different from the patch in PR 265915 ?

Patch comment and avoiding cfg-if noise. I didn't notice otherwise.

phabricator is incredibly hard to use...

Well, you've requested review here and not on bugzilla.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 25 2022, 8:50 AM
This revision was automatically updated to reflect the committed changes.